/* Din fisierul de intrare se citeste n (n < 10000), apoi inca n numere naturale
 * a[i], cu  0 <= a[i] <= 100
 * 
 * Sa se afiseze in ordine crescatoare toate numerele distincte care
 * exista in fisier 
 * Ex:
 * sir.in
   7
   2 6 2 3 6 8 5
 
   sir.out
   2 3 5 6 8	 
	
	
 */ 

#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;


ifstream fin("sir.in");
ofstream fout("sir.out");



/* Metoda: se declara un alt sir ok, cu valori booleene (true, false)
 * cu urmatoarea semnificatie: ok[x] = true, daca x exista in sirul a[]
 */ 
 
// Valori:           2    6    2    3    6    8    5
// Variabile: a[0] a[1] a[2] a[3] a[4] a[5] a[6] a[7]

// sirul caracteristic ok:
//    0     0     t     t     0     t     t    0      t     0       0
// ok[0] ok[1] ok[2] ok[3] ok[4] ok[5] ok[6] ok[7] ok[8] ok[9]...ok[100]

int main()
{
	int a[10001], n;
	
	// Declaram un Sir Caracteristic
	bool ok[101] = {false};
	
	// citirea sirului
	fin >> n;
	for (int i = 1; i <= n; ++i)
		fin >> a[i];
		
	for (int i = 1; i <= n; ++i)
		ok[a[i]] = true;
		
	// parcurgem sirul caracteristic ok[]
	for (int x = 0; x <= 100; ++x)
		if (ok[x] == true)
			fout << x << ' ';
			
	return 0;
} 
