/* Din fisierul de intrare se citeste n (n < 10000), apoi inca n numere 
 * intregi a[i], cu  -1000 <= a[i] <= 1000
 * 
 * Sa se afiseze in ordine crescatoare toate numerele distincte care
 * apar in fisier si frecventele lor de aparitie
 * 
 * Ex:
 * sir3.in
   11
   -8 6 1 6 1 3 8 6 6 1 3
 
   sir3.out
   1 3
   3 2
   6 4
   8 2	
 */ 

#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;


ifstream fin("sir4.in");
ofstream fout("sir4.out");

int fr[2001] = {0};

#define fr (fr + 1000)

// sirul de frecvente (de contoare)fr:
//   1                               1                 1       2
// fr[0] fr[1] fr[2] fr[3] fr[999] fr[1000] fr[1001] fr[1002] fr[1003]...fr[2000]

int main()
{
	int x, n;
	int vmin = 1001; // cea mai mica valoare din fisier
	int vmax = -1;    // cea mai mare valoare din fisier
	
	// Declaram un Sir de Frecvente (de Contoare)
	
	
	// citirea sirului
	fin >> n;
	for (int i = 1; i <= n; ++i)
	{
		fin >> x;
		fr[x]++;
		
		vmin = min(vmin, x);
		vmax = max(vmax, x);
	}
		
	// parcurgem sirul caracteristic ok[]
	for (int x = vmin; x <= vmax; ++x)
		if (fr[x] != 0)
			fout << x << ' ' << fr[x] << '\n';
			
	return 0;
} 
